<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.10029
Name: Activities component2 MetaData
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000">
   <title>Activities component2 MetaData</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:metaData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10029']]
Item: (activitiesComponent2MetaData)
-->

   <rule context="*[hl7:metaData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10029']]"
         id="tmp-2c1baacc-8d39-4f3e-b85b-60250a87fde8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']])&gt;=1 and not(hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]/@nullFlavor)">(activitiesComponent2MetaData): element hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']])&lt;=1">(activitiesComponent2MetaData): element hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:metaData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10029']]/hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]
Item: (activitiesComponent2MetaData)
-->

   <rule context="*[hl7:metaData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10029']]/hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]"
         id="tmp-46d153ca-79da-41c6-aed9-94f07c54ad4b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(activitiesComponent2MetaData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']/@nullFlavor)">(activitiesComponent2MetaData): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029'])&lt;=1">(activitiesComponent2MetaData): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:value)&gt;=1 ">(activitiesComponent2MetaData): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:value)&lt;=1">(activitiesComponent2MetaData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(activitiesComponent2MetaData): element hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:metaData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10029']]/hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]/hl7:templateId
Item: (activitiesComponent2MetaData)
-->

   <rule context="*[hl7:metaData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10029']]/hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]/hl7:templateId"
         id="tmp-34f6fc29-a616-46f4-8b1f-60c6fe602770">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent2MetaData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.10029'">(activitiesComponent2MetaData): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.10029' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:metaData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10029']]/hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]/hl7:code
Item: (activitiesComponent2MetaData)
-->

   <rule context="*[hl7:metaData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10029']]/hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]/hl7:code"
         id="tmp-610577d0-b820-460b-ae5f-637ba647a40f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent2MetaData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="@displayName or not(@code)">(activitiesComponent2MetaData): 
                        <name path=".."/>/<name/>/@displayName MOET een waarde bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:metaData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10029']]/hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]/hl7:value
Item: (activitiesComponent2MetaData)
-->

   <rule context="*[hl7:metaData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10029']]/hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]/hl7:value"
         id="tmp-b17cdd94-c1f5-46ed-b4c4-b872f6ba2430">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="@displayName or not(@code)">(activitiesComponent2MetaData): 
                        <name path=".."/>/<name/>/@displayName MOET een waarde bevatten als het gecodeerde gegevens betreft</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:metaData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10029']]/hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesComponent2MetaData)
-->

   <rule context="*[hl7:metaData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10029']]/hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-f37fbd76-ee4a-403a-b437-dfff2edda87e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(activitiesComponent2MetaData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']])&gt;=1 and not(hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/@nullFlavor)">(activitiesComponent2MetaData): element hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']])&lt;=1">(activitiesComponent2MetaData): element hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:metaData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10029']]/hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:categoryInBDS
Item: (activitiesComponent2MetaData)
-->

   <rule context="*[hl7:metaData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10029']]/hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:categoryInBDS"
         id="tmp-5ca50e8f-992d-4a42-8e8e-f2c0cf9d1fab">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="string(@classCode)='CATEGORY' or not(@classCode)">(activitiesComponent2MetaData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267'])&gt;=1 and not(hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']/@nullFlavor)">(activitiesComponent2MetaData): element hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267'])&lt;=1">(activitiesComponent2MetaData): element hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10029
Context: *[hl7:metaData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10029']]/hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:categoryInBDS/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']
Item: (activitiesComponent2MetaData)
-->

   <rule context="*[hl7:metaData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.10029']]/hl7:metaData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10029']]/hl7:pertainsTo[hl7:categoryInBDS[hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:categoryInBDS/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.391' or @codeSystem='2.16.840.1.113883.2.4.4.40.393' or @codeSystem='2.16.840.1.113883.2.4.4.40.267']"
         id="tmp-6f5ebbc6-b741-4453-8502-71b351f42720">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(activitiesComponent2MetaData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.10029-2012-08-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.391') or (@codeSystem='2.16.840.1.113883.2.4.4.40.393') or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesComponent2MetaData): de elementwaarde MOET zijn codeSystem '2.16.840.1.113883.2.4.4.40.391' of codeSystem '2.16.840.1.113883.2.4.4.40.393' of codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>
</pattern>
