<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.133
Name: A_HeelPrick [universal]
Description: COCT_RM900920NL: Gegevens over de hielprik. De aanvraag, de uitvoering en het resultaat
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000">
   <title>A_HeelPrick [universal]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]
Item: (A_HeelPrick-universal)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]
Item: (A_HeelPrick-universal)
-->

   <rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]"
         id="tmp-621444da-ecee-4124-b68b-f768c3ca9fb4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@classCode)='SPECCOLLECT' or not(@classCode)">(A_HeelPrick-universal): de waarde van @classCode MOET 'SPECCOLLECT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_HeelPrick-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string-length(@negationInd)&gt;0 or not(@negationInd)">(A_HeelPrick-universal): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="not(@negationInd='true') or hl7:reasonCode">(A_HeelPrick-universal): 
                    <name/>/@negationInd='true' maar er is geen reden niet afgenomen in reasonCode</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="@negationInd='true' or not(hl7:reasonCode)">(A_HeelPrick-universal): 
                    <name/>/@negationInd!='true' maar er is toch een reden niet afgenomen in reasonCode</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']/@nullFlavor)">(A_HeelPrick-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133'])&lt;=1">(A_HeelPrick-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')])&gt;=1 and not(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]/@nullFlavor)">(A_HeelPrick-universal): element hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')])&lt;=1">(A_HeelPrick-universal): element hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:reasonCode)&lt;=1">(A_HeelPrick-universal): element hl7:reasonCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:performer)&lt;=1">(A_HeelPrick-universal): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]])&lt;=1">(A_HeelPrick-universal): element hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:inFulFillmentOf[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]])&lt;=1">(A_HeelPrick-universal): element hl7:inFulFillmentOf[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:templateId
Item: (A_HeelPrick-universal)
-->

   <rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:templateId"
         id="tmp-ff03de81-dd34-4aa2-bf08-8d80deaa0dfd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.133'">(A_HeelPrick-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.133' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]
Item: (A_HeelPrick-universal)
-->

   <rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]"
         id="tmp-d6d86eb5-7826-4827-b42f-7598a55cc267">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_HeelPrick-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0316_HL7 W0316 Type hielprik (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_HeelPrick-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0316_HL7 W0316 Type hielprik (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:reasonCode
Item: (A_HeelPrick-universal)
-->

   <rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:reasonCode"
         id="tmp-671b4a04-b1ba-491f-acd4-ae8c902de7cc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.313-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.313-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_HeelPrick-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0313_HL7 W0313 Reden niet afgenomen hielprik (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_HeelPrick-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0313_HL7 W0313 Reden niet afgenomen hielprik (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer
Item: (A_HeelPrick-universal)
-->

   <rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer"
         id="tmp-881f28fc-9896-4ff4-bb88-521030be6682">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(A_HeelPrick-universal): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(A_HeelPrick-universal): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:time)&lt;=1">(A_HeelPrick-universal): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(A_HeelPrick-universal): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(A_HeelPrick-universal): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:time
Item: (A_HeelPrick-universal)
-->

   <rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:time"
         id="tmp-ed134b5d-3f9f-4ab0-a559-e996d06ef713">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity
Item: (A_HeelPrick-universal)
-->

   <rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity"
         id="tmp-bcbb6a47-9553-4a3d-b30b-200a291c13b4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(A_HeelPrick-universal): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(A_HeelPrick-universal): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity/hl7:assignedPerson
Item: (A_HeelPrick-universal)
-->

   <rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-3ebc9c97-c8fc-4808-8e93-17c5bcbc2cae">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(A_HeelPrick-universal): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(A_HeelPrick-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(A_HeelPrick-universal): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(A_HeelPrick-universal): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (A_HeelPrick-universal)
-->

   <rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-b073aa55-91da-4cd7-a5c5-0696a8e3c231">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization
Item: (A_HeelPrick-universal)
-->

   <rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-505b9c09-5aa6-414c-9f8f-06780aafff8a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&gt;=1 and not(hl7:id[@root='2.16.528.1.1007.3.3']/@nullFlavor)">(A_HeelPrick-universal): element hl7:id[@root='2.16.528.1.1007.3.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:id[@root='2.16.528.1.1007.3.3'])&lt;=1">(A_HeelPrick-universal): element hl7:id[@root='2.16.528.1.1007.3.3'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (A_HeelPrick-universal)
-->

   <rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-17e508b1-79d1-436e-bf9a-d2f8dda1a4e0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@root)='2.16.528.1.1007.3.3'">(A_HeelPrick-universal): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]
Item: (A_HeelPrick-universal)
-->

   <rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]"
         id="tmp-5c420928-c661-456a-80c9-f7c6a3f97646">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@typeCode)='OUTC' or not(@typeCode)">(A_HeelPrick-universal): de waarde van @typeCode MOET 'OUTC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@contextConductionInd)='false' or not(@contextConductionInd)">(A_HeelPrick-universal): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]])&gt;=1 and not(hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]/@nullFlavor)">(A_HeelPrick-universal): element hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]])&lt;=1">(A_HeelPrick-universal): element hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]/hl7:result
Item: (A_HeelPrick-universal)
-->

   <rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]/hl7:result"
         id="tmp-fb2c1fc6-674a-446a-84ec-03efde14e5fc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(A_HeelPrick-universal): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')])&gt;=1 and not(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]/@nullFlavor)">(A_HeelPrick-universal): element hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')])&lt;=1">(A_HeelPrick-universal): element hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:value[(@code='IND' and @codeSystem='2.16.840.1.113883.5.83') or (@code='NEG' and @codeSystem='2.16.840.1.113883.5.83') or (@code='A' and @codeSystem='2.16.840.1.113883.5.83')])&gt;=1 and not(hl7:value[(@code='IND' and @codeSystem='2.16.840.1.113883.5.83') or (@code='NEG' and @codeSystem='2.16.840.1.113883.5.83') or (@code='A' and @codeSystem='2.16.840.1.113883.5.83')]/@nullFlavor)">(A_HeelPrick-universal): element hl7:value[(@code='IND' and @codeSystem='2.16.840.1.113883.5.83') or (@code='NEG' and @codeSystem='2.16.840.1.113883.5.83') or (@code='A' and @codeSystem='2.16.840.1.113883.5.83')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="count(hl7:value[(@code='IND' and @codeSystem='2.16.840.1.113883.5.83') or (@code='NEG' and @codeSystem='2.16.840.1.113883.5.83') or (@code='A' and @codeSystem='2.16.840.1.113883.5.83')])&lt;=1">(A_HeelPrick-universal): element hl7:value[(@code='IND' and @codeSystem='2.16.840.1.113883.5.83') or (@code='NEG' and @codeSystem='2.16.840.1.113883.5.83') or (@code='A' and @codeSystem='2.16.840.1.113883.5.83')] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]/hl7:result/hl7:id
Item: (A_HeelPrick-universal)
-->

   <rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]/hl7:result/hl7:id"
         id="tmp-7f48fd40-9787-47e5-9850-f2a210944dea">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]/hl7:result/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]
Item: (A_HeelPrick-universal)
-->

   <rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]/hl7:result/hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]"
         id="tmp-f3b55262-61f2-4357-be8f-3d68887ed16e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.316-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_HeelPrick-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0316_HL7 W0316 Type hielprik (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_HeelPrick-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0316_HL7 W0316 Type hielprik (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]/hl7:result/hl7:value[(@code='IND' and @codeSystem='2.16.840.1.113883.5.83') or (@code='NEG' and @codeSystem='2.16.840.1.113883.5.83') or (@code='A' and @codeSystem='2.16.840.1.113883.5.83')]
Item: (A_HeelPrick-universal)
-->

   <rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:outcome[hl7:result[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.66') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.66')]]]/hl7:result/hl7:value[(@code='IND' and @codeSystem='2.16.840.1.113883.5.83') or (@code='NEG' and @codeSystem='2.16.840.1.113883.5.83') or (@code='A' and @codeSystem='2.16.840.1.113883.5.83')]"
         id="tmp-a219d265-2fea-4211-a660-e19fa93ac59a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_HeelPrick-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.321-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.321-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_HeelPrick-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0321_HL7 W0321 Uitslag (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_HeelPrick-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0321_HL7 W0321 Uitslag (HL7) (DYNAMISCH).</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.133
Context: *[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:inFulFillmentOf[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]]
Item: (A_HeelPrick-universal)
-->
   <rule context="*[hl7:heelPrick[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]/hl7:inFulFillmentOf[hl7:procedureRequest[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.134']]]"
         id="tmp-01f40394-61f4-4d91-92eb-8ebd21f3278e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@typeCode)='FLFS' or not(@typeCode)">(A_HeelPrick-universal): de waarde van @typeCode MOET 'FLFS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130711T155558/tmp-2.16.840.1.113883.2.4.6.10.100.133-2012-08-01T000000.html"
              test="string(@contextConductionInd)='false' or not(@contextConductionInd)">(A_HeelPrick-universal): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
   </rule>
</pattern>
